Salesly API
API Reference

Get a contact by identifier

GET
/contacts/{identifier}

Authorization

x-api-key<token>

Your tenant API key

In: header

Path Parameters

identifier
Required
string

Accepts any of the following (matched in order): numeric ID, name, email, or CIF/tax identifier. The first matching contact is returned. Use the numeric ID for unambiguous lookups.

curl -X GET "https://rest.salesly.app/api/v1/developers/contacts/string" \
  -H "x-api-key: <token>"

Contact details

{
  "data": {
    "id": 0,
    "name": "string",
    "email": "[email protected]",
    "type": "client",
    "is_person": true,
    "cif": "string",
    "phone": "string",
    "web": "string",
    "iban": "string",
    "comments": "string",
    "extra_fields": {},
    "location": {
      "id": 0,
      "primary": 0,
      "direction": "string",
      "city": "string",
      "postal": "string",
      "country": "string",
      "latitude": "string",
      "longitude": "string",
      "extra_info": "string"
    },
    "users": [
      {
        "id": 0,
        "name": "string",
        "email": "[email protected]"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}